path: /build/build/libde265-media-libs-1.0.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="dec265 sdl" emerge media-libs/libde265 -pv -t && \
    USE="dec265 sdl" emerge -j ${JOBS} --nodeps media-libs/libde265
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libde265 && luet-portage --dir /pkgdir/libde265
    media-libs/libde265 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fd42940f6645bb39667a1ffb1cded53a43a4ed077d79d14f0545e337dfcca927
  package:
    name: libde265
    version: 1.0.15
    category: media-libs
    use_flags:
    - dec265
    - sdl
    requires:
    - name: c-blosc
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Open h.265 video codec implementation
    uri:
    - https://github.com/strukturag/libde265
    license: GPL-3
    buildtimestamp: 2024-02-16 23:37:57.947974046 +0000 UTC m=+438.508179430
    labels:
      BDEPEND: dec265? ( virtual/pkgconfig ) >=app-portage/elt-patches-20170815 ||
        ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: dec265? ( sdl? ( media-libs/libsdl ) )
      IUSE: enc265 dec265 sdl tools debug cpu_flags_x86_sse4_1 cpu_flags_arm_neon
        cpu_flags_arm_thumb abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: dec265? ( sdl? ( media-libs/libsdl ) )
      emerge.packages: media-libs/libde265
      kit: media-kit
      original.package.name: media-libs/libde265
      original.package.slot: "0"
      original.package.version: 1.0.15
    treedir: /build/packages
  package_dir: /pkgdir/libde265
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ec8da4f9b70a7e061df2071af844399828b99718c96e386cae83c7024b557239
compressiontype: zstd
files:
- usr/bin/dec265
- usr/include/libde265/de265-version.h
- usr/include/libde265/de265.h
- usr/lib64/libde265.so
- usr/lib64/libde265.so.0
- usr/lib64/libde265.so.0.1.8
- usr/lib64/pkgconfig/libde265.pc
- usr/share/doc/libde265-1.0.15/AUTHORS.bz2
- usr/share/doc/libde265-1.0.15/ChangeLog
- usr/share/doc/libde265-1.0.15/NEWS
- usr/share/doc/libde265-1.0.15/README
- usr/share/doc/libde265-1.0.15/README.md.bz2
- var/db/pkg/media-libs/libde265-1.0.15/BDEPEND
- var/db/pkg/media-libs/libde265-1.0.15/BUILD_TIME
- var/db/pkg/media-libs/libde265-1.0.15/CATEGORY
- var/db/pkg/media-libs/libde265-1.0.15/CBUILD
- var/db/pkg/media-libs/libde265-1.0.15/CFLAGS
- var/db/pkg/media-libs/libde265-1.0.15/CHOST
- var/db/pkg/media-libs/libde265-1.0.15/CONTENTS
- var/db/pkg/media-libs/libde265-1.0.15/COUNTER
- var/db/pkg/media-libs/libde265-1.0.15/CXXFLAGS
- var/db/pkg/media-libs/libde265-1.0.15/DEFINED_PHASES
- var/db/pkg/media-libs/libde265-1.0.15/DEPEND
- var/db/pkg/media-libs/libde265-1.0.15/DESCRIPTION
- var/db/pkg/media-libs/libde265-1.0.15/EAPI
- var/db/pkg/media-libs/libde265-1.0.15/FEATURES
- var/db/pkg/media-libs/libde265-1.0.15/HOMEPAGE
- var/db/pkg/media-libs/libde265-1.0.15/INHERITED
- var/db/pkg/media-libs/libde265-1.0.15/IUSE
- var/db/pkg/media-libs/libde265-1.0.15/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libde265-1.0.15/KEYWORDS
- var/db/pkg/media-libs/libde265-1.0.15/LDFLAGS
- var/db/pkg/media-libs/libde265-1.0.15/LICENSE
- var/db/pkg/media-libs/libde265-1.0.15/NEEDED
- var/db/pkg/media-libs/libde265-1.0.15/PF
- var/db/pkg/media-libs/libde265-1.0.15/PROVIDES
- var/db/pkg/media-libs/libde265-1.0.15/RDEPEND
- var/db/pkg/media-libs/libde265-1.0.15/REQUIRES
- var/db/pkg/media-libs/libde265-1.0.15/SIZE
- var/db/pkg/media-libs/libde265-1.0.15/SLOT
- var/db/pkg/media-libs/libde265-1.0.15/USE
- var/db/pkg/media-libs/libde265-1.0.15/environment.bz2
- var/db/pkg/media-libs/libde265-1.0.15/libde265-1.0.15.ebuild
- var/db/pkg/media-libs/libde265-1.0.15/repository
package_cacheimage: ""
runtime:
  name: libde265
  version: 1.0.15
  category: media-libs
  use_flags:
  - dec265
  - sdl
  requires:
  - name: libsdl
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Open h.265 video codec implementation
  uri:
  - https://github.com/strukturag/libde265
  license: GPL-3
  labels:
    BDEPEND: dec265? ( virtual/pkgconfig ) >=app-portage/elt-patches-20170815 || (
      >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: dec265? ( sdl? ( media-libs/libsdl ) )
    IUSE: enc265 dec265 sdl tools debug cpu_flags_x86_sse4_1 cpu_flags_arm_neon cpu_flags_arm_thumb
      abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
      abi_s390_64
    RDEPEND: dec265? ( sdl? ( media-libs/libsdl ) )
    emerge.packages: media-libs/libde265
    kit: media-kit
    original.package.name: media-libs/libde265
    original.package.slot: "0"
    original.package.version: 1.0.15
